API referenceEndpoints

Read personal Blinq tool settings

Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/agents/inbound/http.go`. Returns the selected accounts and tools of the hired edition to its owner.

GET/v1/agents/{id}/tool-connections

Requires an authenticated tenant principal. Generated from the production route registered in internal/features/agents/inbound/http.go. Returns the selected accounts and tools of the hired edition to its owner.

Authorization

bearerAuth
AuthorizationBearer <token>

Engine-issued API key or tenant-signed JWT.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/tool-connections"
{  "tool_connections": {    "email": "bd2f409a-4b68-41eb-89af-5a917d812282",    "calendar": "0354b24a-d367-43a5-8aab-5912587bfaa6",    "files": "bf188d33-eca5-4c6f-89dd-a8f5aca807d1"  },  "tools": [    "string"  ]}